package com.steerinfo.meterwork.meterworkrailwayrecmain.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="动轨采集主表")
public class MeterWorkRailwayRecMain implements IBasePO<String> {
    /**
     * 作业编号(ACTUAL_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="作业编号",required=true)
    private String actualNo;

    /**
     * 采集时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="采集时间",required=false)
    private Date createTime;

    /**
     * 总节数(CARRIAGE_NUM,DECIMAL,3)
     */
    @ApiModelProperty(value="总节数",required=false)
    private Short carriageNum;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 视频文件(VIDEO_NAME,VARCHAR,300)
     */
    @ApiModelProperty(value="视频文件",required=false)
    private String videoName;

    /**
     * 音频文件(SOUND_NAME,VARCHAR,300)
     */
    @ApiModelProperty(value="音频文件",required=false)
    private String soundName;

    /**
     * 方向(TRACK_WAY,VARCHAR,20)
     */
    @ApiModelProperty(value="方向",required=false)
    private String trackWay;

    /**
     * 状态(0:未处理  1:已处理)(IS_DISPOSE,VARCHAR,1)
     */
    @ApiModelProperty(value="状态(0:未处理  1:已处理)",required=false)
    private String isDispose;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.actualNo;
    }

    @Override
    public void setId(String actualNo) {
        this.actualNo = actualNo == null ? null : actualNo.trim();
    }

    public String getActualNo() {
        return actualNo;
    }

    public void setActualNo(String actualNo) {
        this.actualNo = actualNo == null ? null : actualNo.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Short getCarriageNum() {
        return carriageNum;
    }

    public void setCarriageNum(Short carriageNum) {
        this.carriageNum = carriageNum;
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getVideoName() {
        return videoName;
    }

    public void setVideoName(String videoName) {
        this.videoName = videoName == null ? null : videoName.trim();
    }

    public String getSoundName() {
        return soundName;
    }

    public void setSoundName(String soundName) {
        this.soundName = soundName == null ? null : soundName.trim();
    }

    public String getTrackWay() {
        return trackWay;
    }

    public void setTrackWay(String trackWay) {
        this.trackWay = trackWay == null ? null : trackWay.trim();
    }

    public String getIsDispose() {
        return isDispose;
    }

    public void setIsDispose(String isDispose) {
        this.isDispose = isDispose == null ? null : isDispose.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", actualNo=").append(actualNo);
        sb.append(", createTime=").append(createTime);
        sb.append(", carriageNum=").append(carriageNum);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", videoName=").append(videoName);
        sb.append(", soundName=").append(soundName);
        sb.append(", trackWay=").append(trackWay);
        sb.append(", isDispose=").append(isDispose);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}